//
//  SBSDKOpticalCharacterRecognitionMode.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 07.12.23.
//

import Foundation
import ScanbotSDK

extension SBSDKOpticalCharacterRecognitionMode {
    init(string: String) {
        switch string {
        case "LEGACY": self = .legacy 
        case "TESSERACT": self = .legacy
        case "ML": self = .ML
        case "SCANBOT_OCR": self = .ML
        default: self = .ML
        } 
    }    
}
