//
//  SBSDKUIGenericDocumentRecognizerConfiguration.swift
//  scanbot_sdk
//
//  Created by Sarbjyot Chahal on 12.01.22.
//

import Foundation
import ScanbotSDK

extension SBSDKUIGenericDocumentRecognizerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUIGenericDocumentRecognizerUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUIGenericDocumentRecognizerTextConfiguration(from: dictionary)
        let behaviourConfiguration = SBSDKUIGenericDocumentRecognizerBehaviorConfiguration(from: dictionary)
        let cameraConfiguration = SBSDKUICameraConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviourConfiguration,
                  cameraConfiguration: cameraConfiguration)
    }
}
