//
//  SdkDocumentQuality.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 06.12.23.
//

import Foundation
import ScanbotSDK

extension SBSDKDocumentQuality {
    var encodedString: String {
        switch (self){
        case .noDocument:
            return  "NO_DOCUMENT"
        case .veryPoor:
            return  "VERY_POOR"
        case .poor:
            return  "POOR"
        case .reasonable:
            return  "REASONABLE"
        case .good:
            return  "GOOD" 
        case .excellent:
            return  "EXCELLENT"
      
        @unknown default:
            return  "Undefined"
        }
    }
}
